SPDX-License-Identifier: CC-BY-SA-4.0 OR BSD-2-Clause
brief: '%'
copyrights:
- Copyright (C) 2020 embedded brains GmbH (http://www.embedded-brains.de)
- Copyright (C) 1988, 2008 On-Line Applications Research Corporation (OAR)
definition:
  default:
    body: null
    params:
    - ${../../type/if/id:/name} ${.:/params[0]/name}
    - ${../../type/if/interval:/name} ${.:/params[1]/name}
    - ${service-routine-entry:/name} ${.:/params[2]/name}
    - void *${.:/params[3]/name}
    return: ${../../status/if/code:/name}
  variants: []
description: null
enabled-by: true
index-entries: []
interface-type: function
links:
- role: interface-placement
  uid: header
- role: interface-ingroup
  uid: group
name: rtems_timer_fire_after
notes: null
params:
- description: '%'
  dir: null
  name: id
- description: '%'
  dir: null
  name: ticks
- description: '%'
  dir: null
  name: routine
- description: '%'
  dir: null
  name: user_data
return:
  return: null
  return-values: []
type: interface
